Bug 245197 - net/lualdap: Update to 1.2.5 (current version)
Summary: net/lualdap: Update to 1.2.5 (current version)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Li-Wen Hsu
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-03-31 06:43 UTC by Matthieu Volat
Modified: 2020-07-01 14:07 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (pf)


Attachments
lualdap-1.2.5.diff (13.33 KB, patch)
2020-03-31 06:43 UTC, Matthieu Volat
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthieu Volat 2020-03-31 06:43:34 UTC
Created attachment 212883 [details]
lualdap-1.2.5.diff

Hi,

I had a few issues with the not-so-update lualdap version in ports, would you consider bringing it up to date?

The attached patch include:
- bump to current version (1.2.5)
- moving package source from luaforge (not updated anymore?) to github currently in use
- set license (MIT)
- update WWW in pkg-descr

A little QA:

/usr/ports/net/lualdap# make check-plist
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)

/usr/ports/net/lualdap# portlint    
looks fine.

Thanks a lot
Comment 1 Automation User 2020-03-31 11:37:29 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/131305683
Comment 2 sdalu 2020-05-04 19:33:42 UTC
Does it also fixes prosody ldap issue ?
https://issues.prosody.im/1516
Comment 3 Matthieu Volat 2020-05-11 06:51:26 UTC
Yes, at least on my setup I have no issues -- that means #245065 can also be resolved.
Comment 4 ari 2020-05-13 04:12:55 UTC
Other than changing the portrevision in the diff which is now out of date, the patch works nicely and solves the prosody problem.
Comment 5 commit-hook freebsd_committer 2020-07-01 14:07:07 UTC
A commit references this bug:

Author: lwhsu
Date: Wed Jul  1 14:06:12 UTC 2020
New revision: 540967
URL: https://svnweb.freebsd.org/changeset/ports/540967

Log:
  Update to 1.2.5

  PR:		245197
  Submitted by:	Matthieu Volat <mazhe@alkumuna.eu>
  Approved by:	maintainer timeout

Changes:
  head/net/lualdap/Makefile
  head/net/lualdap/distinfo
  head/net/lualdap/files/
  head/net/lualdap/pkg-descr